# Generated by rust2rpm
# * Tests are run in infrastructure
%bcond_with check
%global debug_package %{nil}

%global crate directories

Name:           rust-%{crate}
Version:        1.0.2
Release:        2%{?dist}
Summary:        Library that provides platform-specific standard locations of directories

# Upstream license specification: MIT OR Apache-2.0
License:        MIT or ASL 2.0
URL:            https://crates.io/crates/directories
Source0:        https://crates.io/api/v1/crates/%{crate}/%{version}/download#/%{crate}-%{version}.crate
# Initial patched metadata
# * No Windows
Patch0:         directories-fix-metadata.diff

ExclusiveArch:  %{rust_arches}

BuildRequires:  rust-packaging
BuildRequires:  (crate(libc/default) >= 0.2.0 with crate(libc/default) < 0.3.0)
%if %{with check}
BuildRequires:  (crate(bencher/default) >= 0.1.5 with crate(bencher/default) < 0.2.0)
%endif

%global _description \
A tiny mid-level library that provides platform-specific standard locations of\
directories for config, cache and other data on Linux, Windows and macOS by\
leveraging the mechanisms defined by the XDG base/user directory specifications\
on Linux, the Known Folder API on Windows, and the Standard Directory\
guidelines on macOS.

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages
which use "%{crate}" crate.

%files          devel
%license LICENSE-MIT LICENSE-APACHE
%doc README.md
%{cargo_registry}/%{crate}-%{version}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages
which use "default" feature of "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{cargo_registry}/%{crate}-%{version}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Sat Nov 03 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.0.2-2
- Adapt to new packaging

* Thu Sep 27 2018 Josh Stone <jistone@redhat.com> - 1.0.2-1
- Update to 1.0.2

* Mon Sep 03 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.0.1-1
- Initial package
